Data Fields

# arm_fir_sparse_instance_f32 Struct Reference

Instance structure for the floating-point sparse FIR filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numTaps
uint16_t | stateIndex
float32_t * | pState
float32_t * | pCoeffs
uint16_t | maxDelay
int32_t * | pTapDelay

## Detailed Description

Instance structure for the floating-point sparse FIR filter.

Definition at line 4319 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_sparse_instance_f32::numTaps

number of coefficients in the filter.

Definition at line 4321 of file arm_math.h.

uint16_t arm_fir_sparse_instance_f32::stateIndex

state buffer index. Points to the oldest sample in the state buffer.

Definition at line 4322 of file arm_math.h.

float32_t* arm_fir_sparse_instance_f32::pState

points to the state buffer array. The array is of length maxDelay+blockSize-1.

Definition at line 4323 of file arm_math.h.

float32_t* arm_fir_sparse_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 4324 of file arm_math.h.

uint16_t arm_fir_sparse_instance_f32::maxDelay

maximum offset specified by the pTapDelay array.

Definition at line 4325 of file arm_math.h.

int32_t* arm_fir_sparse_instance_f32::pTapDelay

points to the array of delay values. The array is of length numTaps.

Definition at line 4326 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines